Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlCreator

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlCreator

All Implemented Interfaces:
  UrlCreator

    @SuppressWarnings("rawtypes")
    public class DefaultUrlCreator

The default implementation of the UrlCreator interface that constructs URLs in Grails default pattern of /controllerName/actionName/id.

Authors:
  Graeme Rocher

Since:
  0.5.5

Field Summary
`static java.lang.String` | `ARGUMENT_ID`

Constructor Summary
`DefaultUrlCreator(java.lang.String controller, java.lang.String action)`

Method Summary
`java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)`
`java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
`java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding)`
`java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
`java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)`
`java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ARGUMENT_ID

    public static final java.lang.String ARGUMENT_ID

Constructor Detail

### DefaultUrlCreator

    public DefaultUrlCreator(java.lang.String controller, java.lang.String action)

Method Detail

### createRelativeURL

    @SuppressWarnings("unchecked")
    public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

### createRelativeURL

    @SuppressWarnings("unchecked")
    public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

### createURL

    public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding)

### createURL

    public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

### createURL

    @SuppressWarnings("unchecked")
    public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

### createURL

    public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

Groovy Documentation